org.jboss.jca.common.api.metadata.common

## Interface Pool

- All Superinterfaces:
    JCAMetadata, java.io.Serializable, ValidatableMetadata
  All Known Subinterfaces:
    DsPool, DsXaPool, XaPool

      public interface Pool
      extends JCAMetadata, ValidatableMetadata

  A Pool.
  Author:
    Stefano Maestri

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Pool.Tag` A Tag.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Capacity` | `getCapacity()` Get the capacity
    `FlushStrategy` | `getFlushStrategy()` Get the flushStrategy.
    `java.lang.Integer` | `getInitialPoolSize()` Get the initial pool size
    `java.lang.Integer` | `getMaxPoolSize()` Get the maxPoolSize.
    `java.lang.Integer` | `getMinPoolSize()` Get the minPoolSize.
    `java.lang.Boolean` | `isFair()` Get pool fairness.
    `java.lang.Boolean` | `isPrefill()` Get the prefill.
    `java.lang.Boolean` | `isUseStrictMin()` Get the useStrictMin.

    - ### Methods inherited from interface org.jboss.jca.common.api.metadata.ValidatableMetadata

      `validate`

- - ### Method Detail

    - #### getMinPoolSize

          java.lang.Integer getMinPoolSize()

      Get the minPoolSize.
      Returns:
        the minPoolSize.

    - #### getInitialPoolSize

          java.lang.Integer getInitialPoolSize()

      Get the initial pool size
      Returns:
        The value

    - #### getMaxPoolSize

          java.lang.Integer getMaxPoolSize()

      Get the maxPoolSize.
      Returns:
        the maxPoolSize.

    - #### isPrefill

          java.lang.Boolean isPrefill()

      Get the prefill.
      Returns:
        the prefill.

    - #### isUseStrictMin

          java.lang.Boolean isUseStrictMin()

      Get the useStrictMin.
      Returns:
        the useStrictMin.

    - #### getFlushStrategy

          FlushStrategy getFlushStrategy()

      Get the flushStrategy.
      Returns:
        the flushStrategy.

    - #### getCapacity

          Capacity getCapacity()

      Get the capacity
      Returns:
        The value

    - #### isFair

          java.lang.Boolean isFair()

      Get pool fairness.
      Returns:
        pool fairness.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)